package cokr.xit.fims.mngt.service.bean;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import cokr.xit.fims.mngt.Schdl;
import cokr.xit.fims.mngt.SchdlQuery;
import cokr.xit.fims.mngt.service.SchdlService;
import cokr.xit.foundation.component.AbstractServiceBean;
import cokr.xit.foundation.data.DataObject;

@Service("schdlService")
public class SchdlServiceBean extends AbstractServiceBean implements SchdlService {

	@Resource(name="schdlBean")
	private SchdlBean schdlBean;

	@Override
	public List<DataObject> getSchdlList(SchdlQuery req) {
		return schdlBean.getSchdlList(req);
	}

	@Override
	public DataObject getSchdlInfo(String schdlId) {
		return schdlBean.getSchdlInfo(schdlId);
	}

	@Override
	public String create(Schdl schdl) {
		return schdlBean.create(schdl) ? "[S]" : "[F]";
	}

	@Override
	public String update(Schdl schdl) {
		return schdlBean.update(schdl) ? "[S]" : "[F]";
	}

	@Override
	public String remove(Schdl schdl) {
		return schdlBean.remove(schdl) ? "[S]" : "[F]";
	}
}
